using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace NKC_WF.WebUserControls
{
    public partial class cmp_KS_OkoiSum : BaseUserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                OtherItemID = 0;
                CartID = 0;
            }
        }

        public void doUpdate()
        {
            grView.DataBind();
        }

        public int OtherItemID
        {
            get
            {
                int answ = 0;
                int.TryParse(hfOtherItemID.Value, out answ);
                return answ;
            }
            set
            {
                hfOtherItemID.Value = value.ToString();
            }
        }

        public int CartID
        {
            get
            {
                int answ = 0;
                int.TryParse(hfCartID.Value, out answ);
                return answ;
            }
            set
            {
                hfCartID.Value = value.ToString();
            }
        }
    }
}